summaryrefslogtreecommitdiff
path: root/simulations/libs/setup.sh
diff options
context:
space:
mode:
authorLoic Guegan <manzerbredes@mailbox.org>2022-11-11 15:47:19 +0100
committerLoic Guegan <manzerbredes@mailbox.org>2022-11-11 15:47:19 +0100
commitc2affb00ff404613f45b51cd97b50773982fde5f (patch)
tree9a1263afec087c958b32d2ad48e691fc69db0df6 /simulations/libs/setup.sh
parentb2ad7e6897077899ce70ecc8a4d994b3adc010ae (diff)
Minor changes
Diffstat (limited to 'simulations/libs/setup.sh')
-rwxr-xr-xsimulations/libs/setup.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/simulations/libs/setup.sh b/simulations/libs/setup.sh
new file mode 100755
index 0000000..395a11e
--- /dev/null
+++ b/simulations/libs/setup.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+set -e
+
+[ ! -e "simgrid" ] && git clone https://framagit.org/simgrid/simgrid
+[ ! -e "rapidjson"] && git clone https://github.com/Tencent/rapidjson
+
+cd simgrid
+mkdir -p build
+cd build
+cmake ../
+make -j4